Bug Hunting Session
Bug 56103 - LOCALHELP: Wrong description for Format - Position and Size - Fit ... to text
Summary: LOCALHELP: Wrong description for Format - Position and Size - Fit ... to text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL: http://help.libreoffice.org/Common/Te...
Whiteboard: target:4.0.0
Keywords:
Depends on: 56219
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 19:08 UTC by khagaroth
Modified: 2012-11-24 20:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description khagaroth 2012-10-17 19:08:50 UTC
The description in strings (sorry the short ID didn't show for these on Pootle, they follow after 'DFrQ')

05230100.xhp#par_id3151211.32.help.text
05230100.xhp#par_id3159151.34.help.text
05230100.xhp#par_id3154068.36.help.text

doesn't correspond with the actual functionality, ie. these are not used to fit text to frame, but actually the opposite, to resize object to the size of text.

For the correct description, take a look at 'mOdo' and 'i_NI'.
Comment 1 Rainer Bielefeld Retired 2012-10-18 04:19:04 UTC
@khagaroth@gmail.com:
No idea what you are talking about:
What LibO version?
What Function?
In what LibO application?
Please cite the wrong text.
How should it be better?
Comment 2 khagaroth 2012-10-19 14:54:42 UTC
Don't know why you are asking, everything except the LibO version (since it's there like that forever, ie since OOo) is in the first post.

But anyway:

05230100.xhp#par_id3151211.32.help.text
Resizes text in a drawing object with respect to the borders of the selected object.

should be

Specifies, if the size of a drawing object should be adjusted to fit the size of entered text.
--

05230100.xhp#par_id3159151.34.help.text
<ahelp hid="SVX_TRISTATEBOX_RID_SVXPAGE_POSITION_SIZE_TSB_AUTOGROW_WIDTH">Resizes the text to fit the width of the selected object.</ahelp>

should be the same (except the tag) as string 'mOdo', ie

<ahelp hid="SVX_TRISTATEBOX_RID_SVXPAGE_TEXTATTR_TSB_AUTOGROW_WIDTH">Expands the width of the object to the width of the text, if the object is smaller than the text.</ahelp>
--

and 05230100.xhp#par_id3154068.36.help.text
<ahelp hid="SVX_TRISTATEBOX_RID_SVXPAGE_POSITION_SIZE_TSB_AUTOGROW_HEIGHT">Resizes the text to fit the height of the selected object.</ahelp>

should be the same (except the tag) as string 'i_NI', ie

<ahelp hid="SVX_TRISTATEBOX_RID_SVXPAGE_TEXTATTR_TSB_AUTOGROW_HEIGHT">Expands the height of the object to the height of the text, if the object is smaller than the text.</ahelp>
Comment 3 Rainer Bielefeld Retired 2012-10-19 17:59:00 UTC
I explained needs by PM to khagaroth.

I think we are talking about Help contents I found in Wikihelp under a.m. address?

My results with "LibreOffice 3.6.3.1" English UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit) (under Text (To access this command... Choose Format - Text- Text tab) :

"Resizes text in a drawing object with respect ...":
There is no such text, may be reporter tested an obsolete LibO version

The rest still tells me nothing, still NEEDINFO
Comment 4 khagaroth 2012-10-19 18:21:51 UTC
Nope, the text is not outdated. If you searched in the offline help and didn't find it, that's normal, search in offline help files is broken and often doesn't find things that are definitely there.

To get this specific help, create a text object in draw, open its context menu, select Position and size and click the Help button on the position and size tab. The online version of this is on http://help.libreoffice.org/sdraw/cui%3AMetricField%3ARID_SVXPAGE_POSITION_SIZE%3AMTR_FLD_POS_X?Language=en-US&System=WIN&Version=3.6#Adapt .

The correct wording can be found on the help page you already tried, ie for "Format - Text - Text", ie http://help.libreoffice.org/sdraw/cui%3ATriStateBox%3ARID_SVXPAGE_TEXTATTR%3ATSB_AUTOGROW_WIDTH?Language=en-US&System=WIN&Version=3.6#bm_id3154230 .
Comment 5 Rainer Bielefeld Retired 2012-10-20 08:44:03 UTC
Now we are coming closer to the roots of the problem. I did some tests additional tests with 'Format -> Position and Size' (until now I only checked 'Format -> Text') and found several inconsistencies and also the intentional reason for this bug report.

The Help texts here are definitively wrong and should be replaced by the ones used for 
Help for 'Format -> Text - Text - Fit width to text' 
and 
Help for 'Format -> Text - Text - Fit height to text'

I wonder whether there exist functions for what the current texts for " Format - Position and Size - Fit ... to text" would match. I only know similar
'Format -> Text - Text - Fit height to text'
and
'Format -> Text - Text - Adjust to contour' where font size will be modified, but that's not really the same. It looks as if the current texts can be deleted after they have been replaced in Help?

@khagaroth@gmail.com
Do you agree with my proposal for soulution?
Do you have a more powerful tools to find out whether the complained texts are used somewhere else?
Comment 6 Rainer Bielefeld Retired 2012-10-20 10:58:17 UTC
I should have mentioned that I observed all that with "LibreOffice 3.6.3.1” English UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit).

As reporter expected: old bug, already in OOo 3.1.1

Please also see "Bug 56219 - UI: Remove Text object related "Adapt" properties from 'Position and Size' dialog"!
Comment 7 Not Assigned 2012-11-24 20:58:47 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=80899ee8568c141e25dbb9a04bd13507c89a0870

fdo#56103 wrong tooltip help corrected



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.